Package: org.codehaus.groovy.grails.commons

## [Java] Class DomainClassArtefactHandler

- org.codehaus.groovy.grails.commons.DomainClassArtefactHandler

- All Implemented Interfaces and Traits:
    GrailsApplicationAware

      public class DomainClassArtefactHandler
      extends ArtefactHandlerAdapter

  Evaluates the conventions that define a domain class in Grails.

  Authors:
    Graeme Rocher
    Marc Palmer (marc@anyware.co.uk)

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArtefactHandlerAdapter` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassArtefactHandler ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `initialize(ArtefactInfo artefacts)` Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping
    `boolean` | `isArtefactClass(java.lang.Class clazz)`
    `static boolean` | `isDomainClass(java.lang.Class<?> clazz, boolean allowProxyClass)`
    `static boolean` | `isDomainClass(java.lang.Class<?> clazz)`
    `GrailsClass` | `newArtefactClass(java.lang.Class artefactClass)`
    `void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactHandlerAdapter` | `getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String TYPE

  - ### Constructor Detail

    - #### public DomainClassArtefactHandler()

  - ### Method Detail

    - #### @java.lang.Override public void initialize(ArtefactInfo artefacts)

      Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public boolean isArtefactClass(java.lang.Class clazz)

    - #### public static boolean isDomainClass(java.lang.Class<?> clazz, boolean allowProxyClass)

    - #### public static boolean isDomainClass(java.lang.Class<?> clazz)

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public GrailsClass newArtefactClass(java.lang.Class artefactClass)

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)